import {TDir} from '../../types/TDir';
import {IAppBus} from '../bus/IAppBus';

export interface IDir {
    template:HTMLElement;
    id:string;
    setAppBus(bus:IAppBus):void;
    eventsListen():void;
    load(data:TDir):void;
    rename(name:string):void;
    createSelf(): IDir;
}